<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Material extends Model
{
    use HasFactory;
    protected $fillable = [
        'materialName',
        'description',
        'isActive'
    ];

    // Define the relationship with places
    public function places()
    {
        return $this->belongsToMany(Place::class, 'place_material');
    }
}
