<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OpeningHour extends Model
{
    use HasFactory;
    protected $fillable = [
        'placeId',
        'dayRange',
        'openingTime',
        'closingTime',
        'notes',
    ];

    // Define the relationship with place
    public function place()
    {
        return $this->belongsTo(Place::class);
    }
}
