-- phpMyAdmin SQL Dump
-- version 5.2.2
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: May 10, 2025 at 01:00 PM
-- Server version: 10.11.11-MariaDB
-- PHP Version: 8.3.20

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `keshavvps_corpF`
--

-- --------------------------------------------------------

--
-- Table structure for table `admins`
--

CREATE TABLE `admins` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(50) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(200) NOT NULL,
  `email` varchar(100) NOT NULL,
  `remember_token` varchar(100) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `admins`
--

INSERT INTO `admins` (`id`, `name`, `username`, `password`, `email`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'admin', 'admin', '$2y$10$5b935zZYcyuCt/ms.8gG2.gk04xVwn3qX4f8jMlwD/I1KdjylKIW6', 'admin@gmail.com', 'TzVdGXklob1u5PrpUrY9OZuHw2R1CPSww4geAVmvoJJDAipn9ZRAXVjucy4t', '2025-04-05 10:08:58', '2025-04-05 10:08:58');

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(255) NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2020_05_21_071442_create_admins_table', 1),
(2, '2020_12_22_055514_create_users_table', 1),
(3, '2025_04_10_094341_create_user_business_table', 2),
(4, '2025_04_10_095408_create_user_business_categories_table', 2),
(5, '2025_04_10_102128_add_has_business_to_users_table', 3),
(6, '2025_04_14_054732_create_product_castegories_table', 4),
(7, '2025_04_14_055324_create_products_table', 5);

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE `products` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `userId` bigint(20) UNSIGNED NOT NULL,
  `businessId` bigint(20) UNSIGNED DEFAULT NULL,
  `productImage` varchar(255) NOT NULL DEFAULT '',
  `productName` varchar(255) NOT NULL,
  `productCategoryId` varchar(255) NOT NULL DEFAULT '',
  `productDetails` text DEFAULT NULL,
  `price` decimal(10,2) NOT NULL,
  `qty` int(11) NOT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0= deactive 1=active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `product_castegories`
--

CREATE TABLE `product_castegories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `categoryName` varchar(255) NOT NULL DEFAULT '',
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0=Deactive, 1=Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `product_castegories`
--

INSERT INTO `product_castegories` (`id`, `categoryName`, `isActive`, `created_at`, `updated_at`) VALUES
(1, 'cosmetic', 1, '2025-04-14 06:58:48', '2025-04-14 06:58:48'),
(2, 'business', 1, '2025-04-24 05:32:31', '2025-04-24 05:33:46');

-- --------------------------------------------------------

--
-- Table structure for table `staticpages`
--

CREATE TABLE `staticpages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `pageTitle` varchar(50) NOT NULL,
  `description` text DEFAULT NULL,
  `picture` varchar(255) DEFAULT NULL,
  `contact` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `staticpages`
--

INSERT INTO `staticpages` (`id`, `pageTitle`, `description`, `picture`, `contact`, `email`, `address`, `created_at`, `updated_at`) VALUES
(1, 'About Us', '<pre><strong>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur? At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio. Nam libero tempore, cum soluta nobis est eligendi optio cumque nihil impedit quo minus id quod maxime placeat facere</strong></pre>', '96326778test.png', '', '', '', NULL, '2025-04-29 04:25:15'),
(2, 'Privacy policy', '<pre>\r\nLorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum.</pre>', '7987policy_page.png', '', '', '', NULL, '2025-04-17 02:04:24'),
(3, 'Terms & conditions', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum.</p>', '4453terms_page.png', '', '', '', NULL, '2025-04-17 02:03:47'),
(4, 'Contact Us', '<pre>\r\n<strong>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum. dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. m Ipsum.</strong>\r\n</pre>', '85917595test.png', '+011 242 24224', 'info@gmail.com', 'Akshya Nagar 1st Block 1st, Rammurthy nagar, City-560016', NULL, '2025-04-26 02:13:27');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `userName` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(255) NOT NULL,
  `contactNumber` varchar(20) NOT NULL,
  `profilePicture` varchar(255) DEFAULT NULL,
  `userToken` varchar(255) DEFAULT NULL,
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '1=Active=Deactive',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `hasBusiness` tinyint(4) NOT NULL DEFAULT 0 COMMENT '1: has business, 0: no business'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `userName`, `email`, `password`, `contactNumber`, `profilePicture`, `userToken`, `isActive`, `created_at`, `updated_at`, `hasBusiness`) VALUES
(3, 'testtest', 'testuser@yopmail.com', '$2y$10$47IgDG.q9H5dhjAWW6EPAOMqjrvzE5.aetHrju1OtE9qGsUNeNT9m', '8985898568', '1033user.jpg', '3df4a78a349c6e948ab98c74636193b9', 1, '2025-04-16 07:15:00', '2025-04-29 00:45:43', 0);

-- --------------------------------------------------------

--
-- Table structure for table `user_business`
--

CREATE TABLE `user_business` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `userId` bigint(20) UNSIGNED NOT NULL,
  `businessName` varchar(255) NOT NULL,
  `businessCategoryId` varchar(255) NOT NULL,
  `businessDetails` text DEFAULT NULL,
  `businessPhone` varchar(255) NOT NULL,
  `businessAddress` text NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_business_categories`
--

CREATE TABLE `user_business_categories` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `categoryName` varchar(255) NOT NULL DEFAULT '',
  `isActive` tinyint(4) NOT NULL DEFAULT 1 COMMENT '0=Deactive, 1=Active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `user_business_categories`
--

INSERT INTO `user_business_categories` (`id`, `categoryName`, `isActive`, `created_at`, `updated_at`) VALUES
(2, 'test eng', 1, '2025-04-23 05:54:34', '2025-04-23 05:54:34'),
(3, 'business', 1, '2025-04-23 05:54:44', '2025-04-23 05:55:04');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `username` (`username`),
  ADD KEY `password` (`password`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `products`
--
ALTER TABLE `products`
  ADD PRIMARY KEY (`id`),
  ADD KEY `products_userid_foreign` (`userId`),
  ADD KEY `products_businessid_foreign` (`businessId`);

--
-- Indexes for table `product_castegories`
--
ALTER TABLE `product_castegories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `staticpages`
--
ALTER TABLE `staticpages`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD KEY `userName` (`userName`),
  ADD KEY `password` (`password`),
  ADD KEY `isActive` (`isActive`);

--
-- Indexes for table `user_business`
--
ALTER TABLE `user_business`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_business_userid_foreign` (`userId`);

--
-- Indexes for table `user_business_categories`
--
ALTER TABLE `user_business_categories`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `admins`
--
ALTER TABLE `admins`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `products`
--
ALTER TABLE `products`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `product_castegories`
--
ALTER TABLE `product_castegories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `staticpages`
--
ALTER TABLE `staticpages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `user_business`
--
ALTER TABLE `user_business`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `user_business_categories`
--
ALTER TABLE `user_business_categories`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `products`
--
ALTER TABLE `products`
  ADD CONSTRAINT `products_businessid_foreign` FOREIGN KEY (`businessId`) REFERENCES `user_business` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `products_userid_foreign` FOREIGN KEY (`userId`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `user_business`
--
ALTER TABLE `user_business`
  ADD CONSTRAINT `user_business_userid_foreign` FOREIGN KEY (`userId`) REFERENCES `users` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
