<?php $__env->startSection('title', 'Add/Edit Business Category'); ?>
<?php $__env->startSection('content'); ?>
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>
<?php
$label = "Create";
$id = "";
$categoryName = "";
$isError = false;
$formRoute = 'adminpanel.businesscategory.save';
if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = "Edit";
        $formRoute = 'adminpanel.businesscategory.update';
    }
    $categoryName = $data['input']['categoryName'];
    $id = $data['input']['id'];
   } else {
    if ($data['type'] == "edit") {
        $label = "Edit";
        $categoryName = $data['input'][0]->categoryName;
        $id = $data['input'][0]->id;
        $formRoute = 'adminpanel.businesscategory.update';
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong><?php echo e($label); ?> Business Category</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

        <?php echo e(Form::hidden('id', $id)); ?>

        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Category Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                'categoryName', $categoryName,
                                [
                                    'class' => 'form-control',
                                    'placeholder' => 'Enter Category Name',
                                    'required' => false
                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('categoryName')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('categoryName')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>

              </div>
                <div class="next-step-btn-main">
                    <?php echo e(Form::button(
                        'Save',
                        [
                            'class' => 'next-step',
                            'type' => 'submit'
                        ])); ?>

                </div>
            </div>
        </div>
        <?php echo e(Form::close()); ?>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG1/corpF/resources/views/adminpanel/addbusinesscategory.blade.php ENDPATH**/ ?>