<?php $__env->startSection('title', 'Admin Profile | UTK'); ?>
<?php $__env->startSection('content'); ?>
<style>
    .error-message {
        color: #dc3545;
        font-size: 0.875em;
        margin-top: 0.25rem;
        display: block;
    }
</style>

<?php
$label          = 'Add';
$id             = "";
$name           = "";
$username       = "";
$password       = "";
$email          = "";
$isError        = false;
$formRoute      = 'adminpanel.editprofile.update';
if (isset($data['error'])) {
    $isError = true;
    if ($data['type'] == "Edit") {
        $label = 'Edit';
        $formRoute = 'adminpanel.editprofile.update';
    }
    $name           = $data['input']['name'];
    $username       = $data['input']['username'];
    $password       = $data['input']['password'];
    $email          = $data['input']['email'];
    $id          = $data['input']['id'];
} else {
    if ($data['type'] == "Edit") {
        $label          = 'Edit';
        $id             = $data['input'][0]->id;
        $name           = $data['input'][0]->name;
        $username       = $data['input'][0]->username;
        $password       = $data['input'][0]->password;
        $email          = $data['input'][0]->email;
        $formRoute      = 'adminpanel.editprofile.update';
    }
}
?>
<div class="top-dashboard-title">
    <div class="d-code-main">
        <div class="d-title">
            <h4><strong>Admin Profile</strong></h4>
        </div>
    </div>
</div>
<div class="dashboard-content-main add-user-main">
    <div class="add-user-one-main-content">
        <?php if(session()->has('success')): ?>
        <div class="success-message-box">
            <?php echo e(session('success')); ?>

        </div>
        <?php endif; ?>
        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

        <?php echo e(Form::hidden('id', $id)); ?>

        <div class="user-pro-detail-main-content">
            <div class="user-pro-detail-sub-content">
                <div class="user-pro-detail-content">
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                                'name', $name,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter Name',
                                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('name')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('name')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>User Name</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::text(
                                                'username', $username,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter User Name'
                                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('username')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('username')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Email</label><span style="color: red;">*</span>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::email(
                                                'email', $email,
                                                [
                                                    'class'         => 'form-control',
                                                    'placeholder'   => 'Enter Email'
                                                ])); ?>

                            <?php if(isset($data['error']) && $data['error']->has('email')): ?>
                            <span class="error-message"><?php echo e($data['error']->first('email')); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="user-pro-detail-content-dt-one">
                        <div class="user-pro-detail-content-left">
                            <label>Password</label>
                        </div>
                        <div class="user-pro-detail-content-right">
                            <?php echo e(Form::password(
                                                'password',
                                                    [
                                                        'class'         => 'form-control',
                                                        'placeholder'   => 'Enter Password'
                                                    ])); ?>

                        </div>
                    </div>
                </div>
                <div class="next-step-btn-main">
                    <?php echo e(Form::button(
                                        'Save',
                                        [
                                            'class' => 'next-step',
                                            'type' => 'submit'
                                        ])); ?>

                </div>
            </div>
        </div>
        <?php echo e(Form::close()); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('adminpanel.default.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/keshavvps/public_html/keshav/KG2/UTK/resources/views/adminpanel/editprofile.blade.php ENDPATH**/ ?>