<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use HasFactory;

    protected $fillable = [
        'userName',
        'email',
        'password',
        'contactNumber',
        'profilePicture',
        'userToken',
        'isActive',
        'hasBusiness'
    ];
    protected $hidden =['password','userToken'];

    public function tokenUpdate($token)
    {
        $this->update(['userToken'=>$token]);
    }
}