<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserBusiness extends Model
{
    use HasFactory;
    
    protected $table = 'user_business';

    protected $fillable = [
        'userId',
        'businessName',
        'businessCategoryId',
        'businessDetails',
        'businessPhone',
        'businessAddress'
    ];
  
    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function businessCategory()
    {
        return $this->belongsTo(UserBusinessCategory::class);
    }
}