<!DOCTYPE html>
<html lang="en">

<head>
    @include('adminpanel.include.top')

    <style>
        .table-responsive {
            overflow-x: auto;
            white-space: nowrap;
        }
    </style>

</head>

<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">

            @extends('adminpanel.include.sidebar')

            <div class="dashboard-right-side-main">

                @extends('adminpanel.include.header')
				
<style>
	.user-profile {
		margin: 42px auto;
    padding: 19px;
   
    margin-bottom: 10px;
    padding-top: 29px;
    padding-bottom: 0px;
}

.user-info {
    text-align: center; /* Center the user name and actions */
}

.user-info h1 {
    font-size: 2em;
    margin-bottom: 10px;
}

.user-actions {
    margin-bottom: 20px;
}

.action {
    margin: 0 10px;
    padding: 5px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
}

.content-area {
    margin-bottom: 20px;
}

.highlighted-section {
    background-color: white;
    border: 2px solid blue;
    padding: 20px;
}

.section-title {
    font-weight: bold;
    margin-bottom: 10px;
}

.navigation {
    text-align: right; /* Align the button to the right */
}

.back-button {
    background-color: red;
    color: white;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}
</style>
<div class="user-profile">
    <div class="user-info">
        <h1>{{$userName->username}}</h1> 
        
    </div>

   
</div>

<div class="top-dashboard-title" style="
    margin-top: 0;
">
	<div class="d-code-main listing-page-head-src">
				
		
				<div class="d-title">
			<h4><strong>
					<h4><strong>Chat User List</strong><span></h4>
				</strong><span></h4>

		</div>

	</div>
	{{ Form::button(
								'Back',
								[
									'class' => 'next-step',
									'type' => 'button',
									'onclick' => "window.location.href='" . route('adminpanel.user.manage') . "'"
								]
							)
						}}
</div>
<div class="dashboard-content-main add-user-main listing-page-main">
	<div class="add-user-one-main-content padding-zero">
		@if(session()->has('success'))
		<div class="success-message-box">
			{{ session('success') }}
		</div>
		@endif
		@if($errors->any())
		<div class="error-message-box">
			<p>{{$errors->first()}}</p>
		</div>
		@endif

		<div class="data-table-main">

			<table id="example" class="table table-striped table-bordered" style="width:100%">
				<thead>
					<tr>
						<th>No</th>

						<th>Profile Image</th>
						<th>Name</th>
						<th>User Name</th>
						<th>Actions</th>
					</tr>
				</thead>
				<tbody>
				
					
						
					@if(count($data)>0)
					<?php $counter = 0;
					 $userIds=[]; ?>
					@foreach ($data as $key=>$d)
					<?php $counter++; 
					 $otherUserId = $d->from_user_id == $userName->id ? $d->to_user_id : $d->from_user_id;
			         $direction = $d->from_user_id == $userName->id ? 'sent' : 'received';
					 if (!in_array($otherUserId, $userIds)) {
                    $userIds[] = $otherUserId;
                    $otherUser = App\Models\User::find($otherUserId);
                  if($otherUser){
             
					?>
					<tr>
						<td>{{ ($data->currentpage()-1)*$data->perpage()+$key+1 }}</td>

						<td>
							<span class="user-name-main">
								<?php
								$profileImage = asset('adminpanel/images/default-user.jpg');
								$profileImageData = !empty($otherUser->profile_picture) ? $otherUser->profile_picture : "";
								if ($profileImageData != "" && $profileImageData != null) {
									if (file_exists(public_path() . "/uploads/userImage/" . $profileImageData)) {
										$profileImage = URL::asset('uploads/userImage/' . $profileImageData);
									}
								}
								?>
								<span class="bck-clr"><img src="{{ $profileImage }}"></span>
						</td>
						<td>{{!empty($otherUser)?$otherUser->name:""}}  </td>
						<td>{{!empty($otherUser)?$otherUser->username:""}}  </td>
						

						<td class="dropdown-td">
							<a class="dropdown-item" href="{{ url('/adminpanel/viewChatHistory/'.$d->to_user_id.'/'.$d->from_user_id) }}"><span><i class="fas fa-eye"></i></span></a>
						</td>
					</tr>
					<?php }}?>
					@endforeach
					@else
					<tr>
						<td colspan="7" align="center">
							No Data found
						</td>
					</tr>
					@endif
				</tbody>
			</table>
		</div>
		{{-- <div class="top-dashboard-title">
			<div class="d-code-main listing-page-head-src">
				<div class="d-title">
					<h4><strong>Message Receive</strong><span></h4>
					<!-- <div class="input-group md-form form-sm form-2 pl-0">
				<form method="get" action="{{ route('adminpanel.chat.search') }}" enctype="multipart/form-data" style="display: flex;" id="search_form">
					<input class="form-control my-0 py-1" type="text" name="search" placeholder="Search..." aria-label="Search">
					<div class="input-group-append">
						<span class="input-group-text lighten-3" id="basic-text1"><i class="fas fa-search text-grey"
							aria-hidden="true"></i></span>
					</div>
                    <a href="{{url('adminpanel/managechat')}}">
                        <button class="btn btn-primary" type="button"> Reset</button>
                    </a>
				</form>
			</div> -->
					<div class="filter-range-picker"></div>
				</div>
			</div>

		</div> --}}
		{{-- <div class="data-table-main">
			<table id="example" class="table table-striped table-bordered" style="width:100%">
				<thead>
					<tr>
						<th>No</th>

						<th>Profile Image</th>
						<th>Name</th>
						<th>Actions</th>
					</tr>
				</thead>
				<tbody>
					@if(count($yourdata)>0)
					<?php $counter = 0; ?>
					@foreach ($yourdata as $key=>$d)
					<?php $counter++; ?>
					<tr>
						<td>{{ ($yourdata->currentpage()-1)*$yourdata->perpage()+$key+1 }}</td>

						<td>
							<span class="user-name-main">
								<?php
								$profileImage = asset('adminpanel/images/default-user.jpg');
								$profileImageData = !empty($d->fromUser) ? $d->fromUser->profile_picture : "";
								if ($profileImageData != "" && $profileImageData != null) {
									if (file_exists(public_path() . "/uploads/userImage/" . $profileImageData)) {
										$profileImage = URL::asset('uploads/userImage/' . $profileImageData);
									}
								}
								?>
								<span class="bck-clr"><img src="{{ $profileImage }}"></span>
						</td>
						<td>{{!empty($d->fromUser)?$d->fromUser->username:""}}  </td>

						<td class="dropdown-td">
							<a class="dropdown-item" href="{{ url('/adminpanel/viewChatHistory/'.$d->to_user_id.'/'.$d->from_user_id) }}"><span><i class="fas fa-eye"></i></span></a>
						</td>
					</tr>
					@endforeach
					@else
					<tr>
						<td colspan="7" align="center">
							No Data found
						</td>
					</tr>
					@endif
				</tbody>
			</table>
		</div> --}}
		<div class="listing-page-main-bottom">
			<div class="listing-page-main-bottom-left">
				{{ $data->render() }}
			</div>
			<div class="listing-page-main-bottom-right">
				<div class="listing-page-main-bottom-right-drop-down"></div>
				<div class="listing-page-main-bottom-right-cnt">
					<p>Showing {{ $data->firstItem() }} - {{ $data->lastItem() }} of {{ $data->total() }}</p>
				</div>
			</div>
		</div>
	</div>
</div>

@include('adminpanel.include.footer')

</div>

</div>

<!-- END** :: DASHBOARD -->

</div>


<script src="{{ asset('adminpanel/js/jquery.min.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="{{ asset('adminpanel/js/bootstrap.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('adminpanel/js/jquery.dataTables.min.js') }}" charset="UTF-8"></script>
<script type="text/javascript" src="{{ asset('adminpanel/js/dataTables.bootstrap4.min.js') }}" charset="UTF-8"></script>
<script src="{{ asset('adminpanel/js/slick.min.js') }}"></script>
<script src="{{ asset('adminpanel/js/highcharts.js') }}"></script>
<script src="{{ asset('adminpanel/js/gijgo.min.js') }}"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="{{ asset('adminpanel/js/custom.js') }}"></script>

<script>
$(document).ready(function() {
$('#example').DataTable();
});

$('#startDate').datepicker({
uiLibrary: 'bootstrap4'
});
$('#endDate').datepicker({
uiLibrary: 'bootstrap4'
});
</script>
</body>

</html>